//-------------------------------------------------------------------------
/*
Copyright (C) 2010 EDuke32 developers and contributors

This file is part of EDuke32.

EDuke32 is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License version 2
as published by the Free Software Foundation.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
*/
//-------------------------------------------------------------------------

#define SECTOREFFECTOR 1
#define ACTIVATOR 2
#define TOUCHPLATE 3
#define ACTIVATORLOCKED 4
#define MUSICANDSFX 5
#define LOCATORS 6
#define CYCLER 7
#define MASTERSWITCH 8
#define RESPAWN 9
#define GPSPEED 10
#define EXPLODEVENT1 12				// TRIGGERED EXPLODING EVENT 1
#define EXPLODEVENT2 14				// TRIGGERED EXPLODING EVENT 2
#define EXPLODEVENT3 15				// TRIGGERED EXPLODING EVENT 3
#define JERRICAN 16				// JERRICAN DE BIO-CARBURANT
#define LANCEFLAMMES 17				// LANCE-FLAMMES
#define COUTEAU 18				// COUTEAU
#define MINIBATTERY 19				// MINIBATTERY
#define ARROW 20
#define FIRSTGUNSPRITE 21
#define CHAINGUNSPRITE 22
#define RPGSPRITE 23
#define FREEZESPRITE 24
#define SHRINKERSPRITE 25
#define HEAVYHBOMB 26
#define TRIPBOMBSPRITE 27
#define SHOTGUNSPRITE 28
#define DEVISTATORSPRITE 29
#define SHOTGUNAMMO4 30
#define AMMOBOX 31
#define GROWSPRITEICON 32
#define INVENTORYBOX 33
#define TRAINEVENT 34				// TRAIN EVENT
#define POPEVENT1 35				// POP EVENT 1
#define POPEVENT2 36				// POP EVENT 2
#define FREEZEAMMO 37
#define AMMO 40
#define BATTERYAMMO 41
#define DEVISTATORAMMO 42
#define ROQUETTE 43				/* Roquette seule */
#define RPGAMMO 44
#define GROWAMMO 45
#define CRYSTALAMMO 46
#define HBOMBAMMO 47
#define AMMOLOTS 48
#define SHOTGUNAMMO 49
#define BIEREGOLD 50				/* BIEREGOLD */
#define COLA 51
#define SIXPAK 52
#define FIRSTAID 53
#define SHIELD 54
#define STEROIDS 55
#define AIRTANK 56
#define JETPACK 57
#define HEATSENSOR 59
#define ACCESSCARD 60
#define BIERE 61				// ANCIENNEMENT "BOOTS"
#define GANT 62					// GANT
#define SAC_A_DOS 63					/* SAC A DOS */
#define PANIER 64					/* PANIER A PIC-NIQUE */
#define BANANE 65					/* ALIMENTS */
#define GAUFRE 66					/* ALIMENTS */
#define LAIT 67						/* ALIMENTS */
#define PIZZA 68					/* ALIMENTS */
#define VIANDE 69					/* ALIMENTS */
#define MIRRORBROKE 70
#define GILET 71					/* GILET PARE-BALLE */
#define CASQUE 72					/* CASQUE */
#define MINIMEDIBOX 73					/* PETITE MEDIBOX */
#define LARGEMEDIBOX 74					// LARGE MEDIBOX
#define VOCALEVENT1 75				// VOCAL EVENT 1
#define VOCALEVENT2 76				// VOCAL EVENT 2
#define VOCALEVENT3 77				// VOCAL EVENT 3
#define CLOUDYOCEAN 78
#define CLOUDYSKIES 79
#define MOONSKY1 80
#define MOONSKY2 81
#define MOONSKY3 82
#define MOONSKY4 83
#define BIGORBIT1 84
#define BIGORBIT2 85
#define BIGORBIT3 86
#define BIGORBIT4 87
#define BIGORBIT5 88
#define LA 89
#define AMMO_BOX 90				// A TRUE AMMO BOX 
#define BONBONNE_D_AIR 91			// BONBONNE D'AIR
#define COUPE_DE_VIN   92			// COUPE DE VIN
#define BLUEBORINGSKY 94
#define CARTOUCHE_FLG_4 95
#define CARTOUCHE_22LG  96
#define CARTOUCHE_8MG   98          // REDSKY1 98
#define REDSKY2 99
#define ATOMICHEALTH 100
#define TECHLIGHT2 120
#define TECHLIGHTBUST2 121
#define TECHLIGHT4 122
#define TECHLIGHTBUST4 123
#define WALLLIGHT4 124
#define WALLLIGHTBUST4 125
#define DISBIRTHERAMMO2 127				// MUNITIONS 2 DISBIRTHER (ITEM)
#define LABOCARD 129					/* CARTE D'ACCES DES SHOPMART LABS */
#define ACCESSSWITCH 130
#define SLOTDOOR 132
#define LIGHTSWITCH 134
#define SPACEDOORSWITCH 136
#define PLAFONNIER_INCASS 137
#define SPACELIGHTSWITCH 138
#define FRANKENSTINESWITCH 140
#define NUKEBUTTON 142
#define MULTISWITCH 146
#define DISBIRTHER 148					// DISBIRTHER (ITEM)
#define DISBIRTHERAMMO1 149				// MUNITIONS 1 DISBIRTHER (ITEM)
#define CABLES 150					/* CABLES */
#define CABLES_COUPES 151				/* CABLES COUPES */
#define DOORSHOCK 160
#define BLACK_NOIR 161
#define DIPSWITCH 162
#define DIPSWITCH2 164
#define TECHSWITCH 166
#define DIPSWITCH3 168
#define ACCESSSWITCH2 170
#define REFLECTWATERTILE 180
#define FLOORSLIME 200
#define BARREV 210
#define BARREH 211
#define BIGFORCE 230
#define corniche_toit 243
#define bitume_toit 244
#define ANGLE_PUB 260
#define BARRE_PUB 261
#define PUB1 262
#define SCREENBREAK1 263
#define SCREENBREAK2 264
#define SCREENBREAK3 265
#define SCREENBREAK4 266
#define SCREENBREAK5 267
#define SCREENBREAK6 268
#define SCREENBREAK7 269
#define SCREENBREAK8 270
#define SCREENBREAK9 271
#define SCREENBREAK10 272
#define SCREENBREAK11 273
#define SCREENBREAK12 274
#define SCREENBREAK13 275
#define APPAREILS2 285
#define APPAREILS1 286
#define APP_FLANCS 287
#define APP_HAUT 288
#define W_TECHWALL1 293
#define TECHNORELIEF2A 295				/* TECHNO-RELIEF 2A */
#define TECHNORELIEF2B 296				/* TECHNO-RELIEF 2B */
#define W_TECHWALL2 297
#define W_TECHWALL15 299
#define W_TECHWALL3 301
#define W_TECHWALL4 305
#define W_TECHWALL10 306
#define W_TECHWALL16 307
#define COMMANDE3 308			// PANNEAU DE COMMANDES 3
#define COMMANDE3BK 312			// PANNEAU DE COMMANDES 3 CASSE
#define COMMANDE4 313			// PANNEAU DE COMMANDES 4
#define COMMANDE4BK 320			// PANNEAU DE COMMANDES 4 CASSE
#define MER 328
#define WATERTILE2 336
#define BPANNEL1 341
#define PANNEL1 342
#define PANNEL2 343
#define WATERTILE 344
#define STATIC 351
#define W_SCREENBREAK 357
#define W_HITTECHWALL3 360
#define W_HITTECHWALL4 361
#define W_HITTECHWALL2 362
#define W_HITTECHWALL1 363
#define TOUFFE2B 387
#define FANSPRITE 407
#define FANSPRITEBROKE 411
#define BORDUREPORTE 447
#define BORDUREPORTE2 459
#define VIEWSCREEN2 499
#define VIEWSCREENBROKE 501
#define VIEWSCREEN 502
#define GLASS 503
#define GLASS2 504
#define STAINGLASS1 510			/* VITRE CASSEE EN 1 COUP */
#define VITREFISS 511			/* VITRE FISSUREE */
#define VITREBLINDEE 512		/* VITRE CASSEE EN 2 COUPS */
#define VITRESOLIDE 513			/* VITRE INCASSABLE */
#define SEMIVITRINE 515			/* SEMI-VITRINE SHOP MART */
#define SATELITE 516
#define FUELPOD 517
#define CASSEROLE3 518			// CASSEROLE 3
#define VITRINEFISS 526			/* VITRINE SHOP MART FISSUREE */
#define SEMIVITRINEFISS 527		/* SEMI-VITRINE SHOP MART FISSUREE */
#define CHASSISSEMIVITRINE 528		/* CHASSIS DE LA SEMI-VITRINE */
#define VITRINE 529			/* VITRINE SHOP MART */
#define CRACK1 546
#define CRACK2 547
#define CRACK3 548
#define CRACK4 549
#define FOOTPRINTS 550
#define DOMELITE 551
#define CAMERAPOLE 554
#define CHAIR1 556
#define CHAIR2 557
#define VITR_SM_2A 558
#define VITR_SM_2B 559
// #define BROKENCHAIR 559
#define MIRROR 560
#define VITR_PS_A 565
#define VITR_PS_B 566
#define FEMMAG1 568
#define TOILET 569
#define STALL 571
#define FEMMAG2 577
#define REACTOR2 578
#define REACTOR2BURNT 579
#define REACTOR2SPARK 580
#define GRATE1 595
#define BGRATE1 596
#define SOLARPANNEL 602
#define NAKED1 603						// Goule tmp
#define TOILETBROKE 615
#define PIPE2 616
#define PIPE1B 617
#define PIPE3 618
#define PIPE1 619
#define CAMERA1 621
#define PIPE2B 633
#define BOLT1 634
#define FENETRE_IMM_609 657					// FENETRE IMMEUBLE - TILE 609
#define FENETRE_IMM_3234 658					// FENETRE IMMEUBLE - TILE 3234
#define FENETRE_IMM_3236 659					// FENETRE IMMEUBLE - TILE 3236
#define WATERDRIP 660
#define WATERBUBBLE 661
#define WATERBUBBLEMAKER 662
#define W_FORCEFIELD 663
#define FOOTPRINTS2 672
#define FOOTPRINTS3 673
#define FOOTPRINTS4 674
#define EGG 675
#define FENETRE_CASSABLE 676
#define SCALE 678
#define CHAIR3 680
#define CAMERALIGHT 685
#define MOVIECAMERA 686
#define REVERBERE2A 687						// REVERBERE ETEINT
#define REVERBERE2B 688						// REVERBERE CASSE
#define IVUNIT 689
#define LANTERNE_1 690						// LANTERNE 1
#define LANTERNE_2 691						// LANTERNE 2
#define LANTERNE_3A 692						// LANTERNE 3A
#define LANTERNE_3B 693						// LANTERNE 3B
#define POT1 694
#define POT2 695
#define BIERE_VIDE 696						// Biere vide
#define POT3 697
#define MR_MIRETTE 699
#define PIPE3B 700
#define WALLLIGHT3 701
#define WALLLIGHTBUST3 702
#define WALLLIGHT1 703
#define WALLLIGHTBUST1 704
#define WALLLIGHT2 705
#define WALLLIGHTBUST2 706
#define CAM_KILLER 708
#define LIGHTSWITCH2 712
#define WAITTOBESEATED 716
#define charriot 720
#define charriot_sur_rails 721
#define TRAIN_TOIT 736						// TRAIN : TOIT EXT
#define TRAIN_FLANC 737						// TRAIN : FLANC EXT
#define TRAIN_FACE 738						// TRAIN : FACE EXT
#define sol_mine 740
#define bordure_chemFer 743
#define plafond_mine_1 748
#define plafond_mine_2 749
#define TRAIN_accordeon 751
#define TRAIN_fenetre 752
#define TRAIN_mur 753
#define TRAIN_porte_mobile 754
#define TRAIN_porte 755
#define TRAIN_seuil_H 756
#define TRAIN_seuil_V 757
#define MIKE 762
#define VASE 765
#define FLEURSAUVAGE 766					// FLEUR DES MARAIS
#define SUSHIPLATE1 768
#define SUSHIPLATE2 769
#define FUMEE 770						// FUMEE EVANESCENTE
#define SUSHIPLATE3 774
#define FIOLE1 775						// FIOLE 1
#define FIOLE2 776						// FIOLE 2
#define FLAQCHIM 777						// FLAQUECHIMIQUE
#define FIOLE3 778						// FIOLE 3
#define SUSHIPLATE4 779
#define FIOLE4 780						// FIOLE 4
#define PELLE 791						// PELLE
#define SUSHIPLATE5 792
#define PLANCHE_VERM_1 793					// PLANCHE VERMOULUE 1
#define PLANCHE_VERM_2 794					// PLANCHE VERMOULUE 2
#define FEN_IMMB_635_1 796					// FENETRE 1 IMMEUBLE TILE 635
#define FEN_IMMB_635_2 797					// FENETRE 2 IMMEUBLE TILE 635
#define FEN_IMMB_635_3 798					// FENETRE 3 IMMEUBLE TILE 635
#define OJ 806
#define WANTED1 810						// AFFICHE WANTED 1
#define WANTED2 811						// AFFICHE WANTED 2
#define WANTED3 812						// AFFICHE WANTED 3
#define PANCARTE_WANTED 816					// PANCARTE WANTED
#define WANTED4 817						// AFFICHE WANTED 4
#define WANTED1B 819						// AFFICHE WANTED 1B
#define WANTED5 820						// AFFICHE WANTED 5
#define COUVERCLE 829						// COUVERCLE POPPEUR DE FLIC
#define VOLET_MECANIQUE 843					// VOLET MECANIQUE
#define CORBEILLE 850					    // CORBEILLE
#define ASC_INT 851
#define ASC_PLAFOND 852
#define ASC_FLANC 853
#define ASC_RAIL 854
#define MC_SOL 855
#define MC_PLAFOND 856
#define MC_INT1 857
#define MC_INT2 858
#define HURTRAIL 859
#define POWERSWITCH1 860
#define LOCKSWITCH1 862
#define POWERSWITCH2 864
#define MANETTE 866
#define ATM 867
#define FOND_UBERINTERR 869
#define mur_d_usine 871
#define vieille_brique_bleue_2 872
#define CONTROLECABLE_ON 880					// PANNEAU DE CONTROLE DU CABLE - ON
#define CONTROLECABLE_OFF 886					// PANNEAU DE CONTROLE DU CABLE - OFF
#define ATMBROKE 888
#define TREE1 908
#define TREE2 910
#define CACTUS 911
#define EGOUT 912
#define MASKWALL2 913
#define MASKWALL3 914
#define MASKWALL4 915
#define FIREEXT 916
#define PIQUET 917
#define BARBELES2 918						// CLOTURE BARBELEES 2
#define CAGE 920						// CAGE
#define TOILETWATER 921
#define CARRELAGE_SON 928					// CARRELAGE SON
// #define STALACTITE0 929						// STALACTITE au plafond
// #define STALACTITE1 933						// STALACTITE chutant
#define STALACTITEF 934						// STALACTITE fixe
#define CACTUSBROKE 939
#define BOUNCEMINE 940
#define VITRAIL 949
#define BROKEFIREHYDRENT 950
#define BOX 951
#define BULLETHOLE 952
#define MIROIRSDB 953
#define BOTTLE1 954
#define BOTTLE2 955
#define BOTTLE3 956
#define BOTTLE4 957
#define BH_KILLER 958						// BULLET HOLES KILLER
#define CORDE_V 959
#define CORDE 968
#define HYDROPLANT 969
// #define OCEANSPRITE1 971
// #define OCEANSPRITE2 972
// #define OCEANSPRITE3 973
// #define OCEANSPRITE4 974
// #define OCEANSPRITE5 975
#define GENERICPOLE 977
#define CONE 978
#define HANGLIGHT 979
#define AEROSOL 980						// SPRAY
#define HYDRENT 981
#define BOUCHEINCEND 984						// BOUCHE D'INCENDIE
#define BOUCHEINCENDB 985						// BOUCHE D'INCENDIE CASSEE
#define BH_KILLER2 986						// BULLET HOLES KILLER 2
#define MASKWALL14 988
#define TIRE 990
#define BROKEHYDROPLANT 1003
#define PIPE5B 1005
#define NEON3 1007
#define NEON4 1008
#define NEON5 1009
#define BOTTLE5 1012
#define BOTTLE6 1013
#define BOTTLE8 1014
#define MASKWALL15 1024
#define BOTTLE7 1025
#define GLASSPIECES 1031
#define POTEAU1 1034
#define LAMPADAIRE1A 1035					// LAMPADAIRE 1A
#define LAMPADAIRE1B 1036					// LAMPADAIRE 1B
#define NEON6 1046
#define MASKWALL6 1059
#define CLOCK 1060
#define RUBBERCAN 1062
define SIEGE_KO 1063
#define LAMPE1A 1064					// LAMPE 1A
#define LAMPE1B 1065					// LAMPE 1B
#define BROKENCLOCK 1067
#define PLUG 1069
#define OOZFILTER 1079
#define FLOORPLASMA 1082
#define REACTOR 1088
#define REACTORSPARK 1092
#define REACTORBURNT 1096
#define PNEU1 1097					// PNEU 1
#define PNEU2 1098					// PNEU 2
#define PILONE 1102					// PILONE
#define PILONEH 1103					// PILONEH
#define HANDSWITCH 1111
#define CIRCLEPANNEL 1113
#define CIRCLEPANNELBROKE 1114
#define bois_verni_H 1120
#define bois_verni_V 1121
#define PULLSWITCH 1122
#define MASKWALL8 1124
#define douche 1126
#define dalle_blanche  1127
#define four_A 1128
#define four_B 1129
#define frigo_A 1130
#define frigo_B 1131
#define meuble_blanc_A 1132
#define meuble_blanc_B 1133
#define meuble_gris_A 1134
#define meuble_gris_B 1135
#define plan_de_travail 1136
#define porcelaine_A 1137
#define porcelaine_B 1138
#define robinet 1139
#define trou_evier 1140
#define sol_douche 1141
#define ALIENSWITCH 1142
#define	bois 1144
#define	rangement 1145
#define	armoire1 1146
#define	armoire2 1147
#define	bord_armoire_1 1148
#define	bord_armoire_2 1149
#define	bordure_H 1150
#define	bordure_V 1151
#define	commode1 1152
#define	commode2 1153
#define	commode3 1154
#define HANDPRINTSWITCH 1155
#define ASSIETTE1 1156					// ASSIETTE VIDE 1
#define BOTTLE10 1157
#define BOTTLE11 1158
#define BOTTLE12 1159
#define BOTTLE13 1160
#define BOTTLE14 1161
#define BOTTLE15 1162
#define BOTTLE16 1163
#define BOTTLE17 1164
#define BOTTLE18 1165
#define BOTTLE19 1166
#define ASSIETTE2 1172					// ASSIETTE VIDE 2
#define RIDEAU 1173
#define MASKWALL7 1174
#define JAILBARBREAK 1175
#define MANCHE 1205
#define VENDMACHINE 1212
#define DISTRIB 1213					// DISTRIBUTEUR
#define VENDMACHINEBROKE 1214
#define COLAMACHINE 1215
#define DISTRIBROKEN 1216				// DISTRIBUTEUR FOUTU
#define COLAMACHINEBROKE 1217
#define CHATEAU 1219					// CHATEAU DE SABLE
#define PIETINAGE 1220					// CHATEAU DE SABLE PIETINE
#define CRANEPOLE 1221
#define CRANE 1222
#define BARBROKE 1225
#define BLOODPOOL 1226
#define NUKEBARREL 1227
#define NUKEBARRELDENTED 1228
#define NUKEBARRELLEAKED 1229
#define SAC_DE_GRAINS 1230				// SAC DE GRAINS
#define ECRAN_VERT_SPRITE 1231				// ECRAN VERT
#define CANWITHSOMETHING 1232				// POUBELLE
#define MONEY 1233
#define BANNER 1236
#define EXPLODINGBARREL 1238
#define EXPLODINGBARREL2 1239
#define FIREBARREL 1240
#define SEENINE 1247
#define SEENINEDEAD 1248
#define STEAM 1250
#define CEILINGSTEAM 1255
#define PIPE6B 1260
#define TRANSPORTERBEAM 1261
#define RAT 1267
#define TRASH 1272
#define DISQUETTE 1275
#define FEMPIC1 1280
#define FEMPIC2 1289
#define BLANKSCREEN 1293
#define PODFEM1 1294
#define ELECTRETINCELLES 1298				// ELECRETINCELLES pour CABLE
// #define FEMPIC3 1298
// #define FEMPIC4 1306
#define RAYX0 1304
#define RAYX1 1305
#define RAYX2 1306
#define FEM1 1312
#define FEM2 1317
#define CAISSIERE1 1320					// CAISSIERE 1
#define CAISSIERE2 1322					// CAISSIERE 2
#define FEM5 1323
#define BLOODYPOLE 1324
#define FEM4 1325
#define ETINCELLES 1326					// ELECRETINCELLES
#define FEM6 1334
#define FEM6PAD 1335
#define FEM8 1336
#define CRATERE_INVI_1 1344		        // CRATERE INVISIBLE 1
#define CRATERE_INVI_2 1345		        // CRATERE INVISIBLE 2
#define HELECOPT 1346
#define FETUSJIB 1347
#define HOLODUKE 1348
#define NEO-FLOTTE 1349                 // NEO FLOTTE
#define SPACEMARINE 1353
#define INDY 1355
#define FETUS 1358
#define FETUSBROKE 1359
#define MONK 1352
#define LUKE 1354
#define COOLEXPLOSION1 1360
#define CHEMINEEFUMANTE 1362				// CHEMINEEFUMANTE
#define BIGSMOKE 1363					// BIGSMOKE 
#define BIGSMOKE3 1365					// BIGSMOKE3
#define BIGSMOKE2 1368					// BIGSMOKE2
#define NEO-TUYAU 1371					// NEO-TUYAU
#define WATERSPLASH2 1380
#define FIREVASE 1390
#define SCRATCH 1393
#define FEM7 1395
#define MULTIFLAT_VENT 1396
#define MULTIFLAT_VENT_BROKE 1397
#define LAMPADAIRE_WALL_SEKILLER 1398	// LAMPADAIRE_WALL_SEKILLER
#define LAMPADAIRE_WALL_SEKILLED 1399	// LAMPADAIRE_WALL_SEKILLED
#define APLAYERTOP 1400
#define APLAYER 1405
#define ONE_USE_MANETTE 1411			//	 MANETTE MONO-USAGE
#define BOUT_DE_MANETTE 1413			//	 BOUT DE MANETTE
#define MANETTE_BRISEE  1414			//	 MANETTE BRISEE
#define BOISBOUTON 1415			        //	 BOIS BOUTON
#define INTERRUPTIERRE 1417			    //	 INTERRUPTIERRE
#define VAPEUR 1418                     //   VAPEUR
#define PLAYERONWATER 1420
#define NEON_BAR 1473
#define SOL_EGOUT_SND 1477
#define DUKELYINGDEAD 1518
#define DUKETORSO 1520
#define TETEDEMORT 1521					//	 CRANE
#define DUKEGUN 1528
#define DUKELEG 1536
#define SQUELETTE1 1544					//	 SQUELETTE 1
#define SQUELETTE2 1545					//	 SQUELETTE 2
#define SQUELETTE3 1546					//	 SQUELETTE 3
#define SHARK 1550	
#define CLOPORTAPIS 1560				//	CLOPORTAPIS 3
#define GRENADE 1561					//	GRENADE
#define GRENCOUNTER 1565				//	GRENCOUNTER
#define CLUSTERGEN 1566					//	CLUSTERGEN
#define CLUSTERBOMB 1567				//	CLUSTERBOMB
#define PUNAISE 1568					//  PUNAISE
#define PUNAISETAPIE 1594			    //  PUNAISETAPIE
#define SCIENTH0 1596					//	SCIENTIFIQUE H NEUTRE
#define SCIENTHK 1597					//	SCIENTIFIQUE H INOFFENSIF
#define SCIENTH1 1604					//	SCIENTIFIQUE H ATTAQUE
#define POLICIER_STATIQ 1610			//  POLICIER_STATIQ
#define BLOOD 1620
#define FIRELASER 1625
#define GROSSEXPLOSION 1626
#define BOMBEVENT 1627					//	BOMBEVENT
#define FIREVENT 1628					//	FIREVENT
#define BULLEVENT 1629					//	BULLEVENT
#define TRANSPORTERSTAR 1630
#define ALARMEVENT 1631					//	ALARMEVENT
#define SPIT 1636
#define LOOGIE 1637
#define FIST 1640
#define FREEZEBLAST 1641
#define DEVISTATORBLAST 1642
#define SHRINKSPARK 1646
#define TONGUE 1647
#define ANTEFLAMME 1649					// LANCE-FLAMME ENNEMI
#define MORTER 1650
#define SHRINKEREXPLOSION 1656
#define TETEDEROBOT 1660				// ARME : TETE DE ROBOT
#define ROBOTSCRAPER 1664				// GENERATEUR DE DECHET DE ROBOT
#define ROBOTSCRAP 1665					// DECHET DE ROBOT
#define RADIUSEXPLOSION 1670
#define FORCERIPPLE 1671
#define VALVE_INTERR_HORIZ 1673			// VALVE INTERRUPTEUR HORIZONTALE
#define VALVE_INTERR_VERTI 1674			// VALVE INTERRUPTEUR VERTICALE
#define LIZTROOP 1680
#define LIZTROOPRUNNING 1681
#define LIZTROOPSTAYPUT 1682
#define LIZTOP 1705
#define BOULEDEFEU 1709				    // BOULE DE FEU
#define RUBAN_POLICE_1 1711				// RUBAN POLICE 1
#define RUBAN_POLICE_2 1712				// RUBAN POLICE 2
#define RUBAN_POLICE_3 1713				// RUBAN POLICE 3
#define FLAMME 1706					// FLAMME
#define LIZTROOPSHOOT 1715
#define POLICIERPNJ 1721				// POLICIER PNJ
#define LIZTROOPJETPACK 1725
#define LIZTROOPDSPRITE 1734
#define BIERE_LAUNCHEUR 1735				// LANCEUR DE BIERE
#define BIERE_TOMBE 1736				// BIERE SOUS L'EFFET DE LA GRAVITE TERRESTRE
#define LIZTROOPONTOILET 1741
#define LIZTROOPJUSTSIT 1742
#define LIZTROOPDUCKING 1744
#define INFIRMIERE0 1756				//	INFIRMIERE NEUTRE
#define INFIRMIERE1 1762				//	INFIRMIERE ATTAQUE
#define HEADJIB1 1768
#define ARMJIB1 1772
#define LEGJIB1 1776
#define SKYBOX_VILLE 1800			    //	SKYBOX VILLE
#define MULTISKY_VILLE 1802			    //	MULTISKY VILLE
#define CANNON 1810
#define CANNONBALL 1817
#define CANNONBALLS 1818
#define OCTABRAIN 1820
#define OCTABRAINSTAYPUT 1821
#define OCTATOP 1845
#define OCTADEADSPRITE 1855
#define INNERJAW 1860
#define ETOILEDM 1869					//	ETOILE DE MER
#define MOUETTE 1870					//	MOUETTE
#define DRONE 1880
#define EXPLOSION2 1890
#define COMMANDER 1920
#define COMMANDERSTAYPUT 1921
#define POLICIER_PATRO 1936		        // POLICIER EN PATROUILLE
#define POLOCATOR 1956		            // POLOCATOR
#define POLICIER_RENFORT 1957		    // POLICIER_RENFORT
#define RECON 1960
#define TANK 1975
#define PIGCOP 2000
#define PIGCOPSTAYPUT 2001
#define PIGCOPDIVE 2045
#define FLIC_RIRE 2053					//	FLIC2 QUI SE MARRE
#define PIGCOPDEADSPRITE 2060
#define PIGTOP 2061
define BOMBARDIER_VERT 2063				//	AVION BOMBARDIER VERT
#define BOMBARDIER 2064					//	AVION BOMBARDIER
#define LIVRAISON 2065					//	BOMBE LARGUEE
#define HELICO 2080					//	HELICOPTERE
#define HELICO2 2084					//	HELICOPTERE 2
#define FOU 2114					// MALADE MENTAL
#define LIZMAN 2120
#define LIZMANSTAYPUT 2121
#define LIZMANFIXE 2125
#define PUBLIC1 2146					// PUBLIC : POLICIER 1
#define PUBLIC2 2148					// PUBLIC : POLICIER 2
#define LIZMANSPITTING 2150
#define PUBLIC1B 2151					// PUBLIC : POLICIER 1 B
#define PUBLIC2B 2153					// PUBLIC : POLICIER 2 B
#define PUBLIC1C 2158					// PUBLIC : POLICIER 1 C
#define LIZMANFEEDING 2160
#define PUBLIC3 2163					// PUBLIC : MERCENAIRE
#define LIZMANJUMP 2165
#define LIZMANDEADSPRITE 2185
#define FECES 2200
#define LIZMANHEAD1 2201
#define LIZMANARM1 2205
#define LIZMANLEG1 2209
#define BLONDASSE 2213					//	BLONDASSE 
#define EXPLOSION2BOT 2219
#define USERWEAPON 2235
#define HEADERBAR 2242
#define JIBS1 2245
#define JIBS2 2250
#define JIBS3 2255
#define JIBS4 2260
#define JIBS5 2265
#define BURNING 2270
#define FIRE 2271
#define BOBO_FEU 2284
#define FIREII 2285
#define JIBS6 2286
#define BLOODSPLAT1 2296
#define BLOODSPLAT3 2297
#define BLOODSPLAT2 2298
#define BLOODSPLAT4 2299
#define OOZ 2300
#define OOZ2 2309
#define MINE 2328
#define WALLBLOOD1 2301
#define WALLBLOOD2 2302
#define WALLBLOOD3 2303
#define WALLBLOOD4 2304
#define WALLBLOOD5 2305
#define WALLBLOOD6 2306
#define WALLBLOOD7 2307
#define WALLBLOOD8 2308
#define BURNING2 2310
#define FIRE2 2311
#define CHOC_BLEU 2316				// CHOC BLEU
#define CHOC_BLEU2 2319				// CHOC BLEU 2
#define LASER_BLEU 2320				// LASER BLEU
#define CRACKKNUCKLES 2324
#define SMALLSMOKE 2329
#define SMALLSMOKEMAKER 2330
#define FLOORFLAME 2333
#define BONHOM0 2349				/* BONHOMME FIXE */
#define BONHOM1 2350				/* BONHOMME FACHE */
#define BONHOM2 2351				/* BONHOMME FURIEUX */
#define CRATERE 2354				/* CRATERE */
#define BONHOMR 2355				/* BONHOMME RIEUR */
#define MINE2 2357				// MINE ANTI-ENNEMIS
#define MINE2DETON 2358				// DECLENCHEUR MINE2
#define ROTATEGUN 2360
#define SERVEUR0 2361				/* SERVEUR NEUTRE */
#define SERVEUR1 2362				/* SERVEUR TIRE */
#define GREENSLIME 2370
#define WATERDRIPSPLASH 2380
#define SCRAP6 2390
#define SCRAP1 2400
#define SCRAP2 2404
#define SCRAP3 2408
#define SCRAP4 2412
#define SCRAP5 2416				// GOUTTE D'EAU
#define GICLEE 2419				// GICLEE D'EAU
#define ORGANTIC 2420
#define CAISSIER0 2430				/* CAISSIER NEUTRE */
#define CAISSIER1 2436				/* CAISSIER TIRE */
#define BETAVERSION 2440
#define NOIR 2442
#define PLAYERWASHERE 2443
#define SELECTDIR 2444
#define F1HELP 2445
#define NOTCHON 2446
#define NOTCHOFF 2447
#define GROWSPARK 2448
#define DUKEICON 2452
#define BADGUYICON 2453
#define FOODICON 2454
#define GETICON 2455
#define MENUSCREEN 2456
#define MENUBAR 2457
#define KILLSICON 2458
#define FIRSTAID_ICON 2460
#define HEAT_ICON 2461
#define BOTTOMSTATUSBAR 2462
#define BOOT_ICON 2463
#define FRAGBAR 2465
#define JETPACK_ICON 2467
#define AIRTANK_ICON 2468
#define STEROIDS_ICON 2469
#define HOLODUKE_ICON 2470
#define ACCESS_ICON 2471
#define DIGITALNUM 2472
#define DUKECAR 2491
#define CAMCORNER 2482
#define CAMLIGHT 2484
#define LOGO 2485
#define TITLE 2486
#define NUKEWARNINGICON 2487
#define MOUSECURSOR 2488
#define SLIDEBAR 2489
#define DREALMS 2492
#define BETASCREEN 2493
#define WINDOWBORDER1 2494
#define TEXTBOX 2495
#define WINDOWBORDER2 2496
#define DUKENUKEM 2497
#define THREEDEE 2498
#define INGAMEDUKETHREEDEE 2499
#define TENSCREEN 2500
#define PLUTOPAKSPRITE 2501
#define DEVISTATOR 2510
#define GERANT 2512				/* PNJ GERANT */
#define KNEE 2521
#define CROSSHAIR 2523
#define FIRSTGUN 2524
#define FIRSTGUNRELOAD 2528
#define FALLINGCLIP 2530
#define CLIPINHAND 2531
#define HAND 2532
#define SHELL 2533
#define SHOTGUNSHELL 2535
#define CHAINGUN 2536
#define RPGGUN 2544
#define RPGMUZZLEFLASH 2545
#define FREEZE 2548
#define CATLITE 2552
#define SHRINKER 2556
#define HANDHOLDINGLASER 2563
#define TRIPBOMB 2566
#define LASERLINE 2567
#define HANDHOLDINGACCESS 2568
#define HANDREMOTE 2570
#define HANDTHROW 2573
#define TIP 2576
#define GLAIR 2578
#define SCUBAMASK 2581
#define SPACEMASK 2584
#define PILOTE 2585				// PILOTE
#define FORCESPHERE 2590
#define SHOTSPARK1 2595
#define BIOLOGISTE 2600				// BIOLOGISTE DE SML
#define RPG 2605
#define LASERSITE 2612
#define SHOTGUN 2613
#define SCIENTFK 2621				// FEMME SCIENTIFIQUE INOFFENSIVE
#define SCIENTF0 2622				// FEMME SCIENTIFIQUE NEUTRE
#define SCIENTF1 2623				// FEMME SCIENTIFIQUE COLERE
#define BOSS1 2630
#define BOSS1STAYPUT 2631
#define BOSS1SHOOT 2660
#define BOSS1LOB 2670
#define PECHON 2687					//	PECHON
#define BOSSTOP 2696
#define BOSS2 2710
#define BOSS3 2760
#define SPINNINGNUKEICON 2813
#define BIGFNTCURSOR 2820
#define SMALLFNTCURSOR 2821
#define STARTALPHANUM 2822
#define ENDALPHANUM 2915
#define CITOYENNE1 2916					// CITOYENNE 1
#define LOUPION 2923					// LOUPIOTE ON
#define LOUPIOFF 2924					// LOUPIOTE OFF
#define SCIENTBOB 2925					// BOB LE SCIENTIFIQUE
#define BIGALPHANUM 2940
#define BIGPERIOD 3002
#define BIGCOMMA 3003
#define BIGX 3004
#define BIGQ 3005
#define BIGSEMI 3006
#define BIGCOLIN 3007
#define THREEBYFIVE 3010
#define BIGAPPOS 3022
#define TUTO_PNJ 3024					//	TUTO PNJ 
#define TUTO_MSG 3028					//	TUTO ECRANS-MESSAGES 
#define TUTO_OBJ 3032					//	TUTO OBJETS DESTRUCTIBLES 
define SIMPLE_FLECHEH 3036				//	SIMPLE INDICATION HORIZONTALE
#define SIMPLE_FLECHE 3068				//	SIMPLE INDICATION
#define MINIFONT 3072
#define STARTEVENT 3147					//	STARTEVENT
#define BUTTON1 3164
#define GLASS3 3187
#define RESPAWNMARKERRED 3190
#define DONOTDISTURB 3193				// DONOTDISTURB 
#define PLAQ_CORIACE_1 3195				// PLAQ_CORIACE_1
#define PLAQ_CORIACE_2 3196				// PLAQ_CORIACE_2
#define PLAQ_CORIACE_3 3197				// PLAQ_CORIACE_3
#define PLAQ_CORIACE_4 3198				// PLAQ_CORIACE_4
#define CADRAN1 3203					// CADRAN1
#define CADRAN2 3204					// CADRAN2
// #define RESPAWNMARKERYELLOW 3200
#define JACUZZI 3219					// JACUZZI 
#define RESPAWNMARKERGREEN 3210
#define BONUSSCREEN 3240
#define VIEWBORDER 3250
#define RATURAGE 3253					// RATURAGE 
#define THING 3254					    // THING 
#define VICTORY1 3260
#define THING_ICONE 3269				// THING_ICONE 
#define ORDERING 3270
#define PLAQ_CORIACE_G_1 3276			// PLAQ_CORIACE_GRISE_1
#define PLAQ_CORIACE_G_2 3277			// PLAQ_CORIACE_GRISE_2
#define PLAQ_CORIACE_G_3 3278			// PLAQ_CORIACE_GRISE_3
#define PLAQ_CORIACE_G_4 3279			// PLAQ_CORIACE_GRISE_4
#define TEXTSTORY 3280
#define LOADSCREEN 3281
#define VITRAIL_1 3321
#define VITRAIL_2 3322
#define VITRAIL_3 3327
#define BIEBER1 3338
#define BIEBER2 3339
#define BORNTOBEWILDSCREEN 3370
#define FESTER_SCREEN 3422				// FESTER'S SCREEN
#define PERSONNEL_AUTORISE 3436
#define FEM9 3450
#define PLANTE_EN_POT_1A 3451			// NEO PLANTE EN POT 1A
#define PLANTE_EN_POT_1B 3452			// NEO PLANTE EN POT 1B
#define PLANTE_EN_POT_2A 3453			// NEO PLANTE EN POT 2A
#define PLANTE_EN_POT_2B 3454			// NEO PLANTE EN POT 2B
#define MAINTENANCE 3465
#define BARRIERE_TRAVAUX 3466
#define FP_FENETRES 3476
#define TREPIED 3489					// TREPIED
#define CAMESCOPE 3489					// CAMESCOPE
#define ECRAN_TV 3494					// ECRAN_TV
#define NEO-CRATERE 3498
#define FILM_TV 3500					// FILM TV
#define BALAIS1 3507                    // BALAIS1
#define BALAIS2 3508                    // BALAIS2
#define SEAU    3509                    // SEAU
#define CLOPORTE 3574					// CLOPORTE
#define FOOTPRINT 3701
#define NEO_TOILEARAC 3839				/* TOILE D'ARAIGNEE v2 */
#define TOILEARAC 3886					/* TOILE D'ARAIGNEE */
#define COQUELICOT 3949					/* COQUELICOT */
#define FRAMEEFFECT1_13 3999
#define LETBOX1 4029					/* BOITE AUX LETTRES 1 */
#define LETBOX2 4032					/* BOITE AUX LETTRES 2 */
#define LETBOX2B 4033					/* BOITE AUX LETTRES 2B */
#define POOP 4094
#define FRAMEEFFECT1 4095
#define PANNEL3 4099
#define BPANNEL3 4100
#define SCREENBREAK14 4120
#define SCREENBREAK15 4123
#define SCREENBREAK19 4125
#define SCREENBREAK16 4127
#define SCREENBREAK17 4128
#define SCREENBREAK18 4129
#define W_TECHWALL11 4130
#define W_TECHWALL12 4131
#define W_TECHWALL13 4132
#define W_TECHWALL14 4133
#define W_TECHWALL5 4134
#define W_TECHWALL6 4136
#define W_TECHWALL7 4138
#define W_TECHWALL8 4140
#define W_TECHWALL9 4142
#define W_HITTECHWALL16 4144
#define W_HITTECHWALL10 4145
#define W_HITTECHWALL15 4147
#define PSKYDELIC 4161					// PSKYDELIC
#define BITUME_BRUIT_PAS 4176
#define TECHMUR01 4212					// TECHMUR01
#define TECHMUR01_FOUTU 4218			// TECHMUR01 FOUTU
#define carrelage_1a 4224	/* [ VERSION 2.1.1 ] */
#define carrelage_1b 4225
#define carrelage_1c 4226
#define carrelage_2 4227
#define carrelage_3 4228
#define dalles_1 4229
#define dalles_2a 4230
#define dalles_2b 4231
#define plancher_H 4232
#define plancher_V 4233
#define vide 4236
#define vide 4237
#define plafond_1 4238
#define plafond_2 4239
#define PURPLELAVA 4240 // DN PURPLELAVA
#define TECHMUR02 4241					// TECHMUR02
#define mur_decrepit_A 4250
#define mur_decrepit_B 4251
#define mur_decrepit_C 4252
#define mur_pierres_maison_A 4253
#define mur_pierres_maison_B 4254
#define mur_pierres_maison_C 4255
#define mur_pierres_maison_D 4256
#define mousse_mpm_A 4257
#define mousse_mpm_B 4258
#define relief_nymphe 4259
#define mur_bois_A 4260
#define mur_bois_B 4261
#define palissade_1 4262
#define palissade_2 4263
#define panneau_acier 4264
#define poutre_boulons_A 4265
#define poutre_boulons_B 4266
#define poutre_boulons_C 4267
#define poutre_bois_H1 4268
#define poutre_bois_H2 4269
#define poutre_bois_H3 4270
#define poutre_bois_H4 4271
#define poutre_bois_V1 4272
#define poutre_bois_V2 4273
#define poutre_bois_V3 4274
#define poutre_bois_V4 4275
#define volet_accordeon 4276
#define volet_bord 4277
#define volet_seul 4278
#define volets_bleus 4279
#define voles_doubles 4280
#define blocs_pierre_1 4281
#define blocs_pierre_2 4282
#define marche_1a 4283
#define marche_1b 4284
#define pile_de_caisses 4285
#define armoire_ancienne 4286
#define tableau_1 4287
#define tableau_2 4288
#define tableau_3 4289
#define bord_tableau 4290
#define arbre_1A 4291
#define arbre_1B 4292
#define arbre_2A 4293
#define arbre_2B 4294
#define arbre_3A 4295
#define arbre_3B 4296
#define caisses_dessus 4297	        /* [ / VERSION 2.1.1 ] */
#define grosse_caisse_seule  4298	/* [ / VERSION 2.1.2 ] */
#define pile_deux_caisses    4299
#define dessus_caisses_2     4300
#define Sapin       4301
#define Arbre1      4302
#define Arbre2      4303
#define Ecorce      4304
#define Arbre_1A    4305
#define Arbre_1B    4306
#define Arbre_2     4307
#define Buisson1    4308
#define Buisson2    4309
#define Sapin_1A    4310
#define Sapin_1B    4311
#define Plante4     4312
#define Champignons 4313
#define Plante3     4314
#define vide 4315
#define vide 4316
#define TOURNESOL   4317
#define vide 4318
#define vide 4319
#define vide 4323
#define fauteuil_fond_H     4324        // NEO-FAUTEUIL
#define fauteuil_fond_V     4325
#define fauteuil_dossier_F  4326
#define fauteuil_dossier_H  4327
#define fauteuil_dossier_D  4328
#define fauteuil_dossier_P1 4329
#define fauteuil_dossier_P2 4330
#define vide 4336
#define vide 4337
#define LAVABUBBLE 4340
#define TRAPPE_DEROB_2 4338
#define TRAPPE_2_DECL 4339
#define VEILLEUR 4346					// VEILLEUR
#define GAMINE 4353					/* GAMINE */
#define CITOYEN2 4357					/* CITOYEN 2 */
#define TARGET 4359
#define HATRACK 4367
#define CITOYEN3 4371					/* CITOYEN 3 */
#define NEOCITOYEN1 4373				// NEO-CITOYEN 1
#define NEOCITOYEN2 4374				// NEO-CITOYEN 2
#define NEOCITOYEN3 4375				// NEO-CITOYEN 3
#define NEOCITOYEN4 4376				// NEO-CITOYEN 4
#define NEOCITOYENNE1 4377     			// NEO-CITOYENNE 1
#define NEOCITOYENNE2 4378	    		// NEO-CITOYENNE 2
#define CITOYENNE2 4379					/* CITOYENNE 3 */
#define PATIENT 4385					/* PATIENT VIVANT */
#define PATIENTMORT 4387				/* PATIENT MORT */
#define VIEILLARD 4388					/* VIEUX PATIENT */
#define PUKE 4389
#define NEIGECRAN 4391
#define CONTROLEUR 4400					/* CONTROLEUR */
#define MAIL 4410
#define PERENOEL 4413					// PERENOEL
#define CITOYEN4 4414					/* CITOYEN 4 */
#define CITOYEN5 4423					/* CITOYEN 5 */
#define CITOYENNE3 4424					/* CITOYENNE 3 */
#define CITOYENNE4 4425					/* CITOYENNE 4 */
#define CITOYENNE5 4426					/* CITOYENNE 5 */
#define PAPER 4460					// FLOCON DE NEIGE
#define NUAGE 4463					/* NUAGE */
#define BROUILLARD 4464					/* BROUILLARD */
define CITOYEN1 4489					// CITOYEN 1
#define RANDONNEUSE 4540				/* RANDONNEUSE */
#define LIVREUR 4551					/* LIVREUR */
#define DOCTEUR 4560					/* DOCTEUR */
#define CANWITHSOMETHING2 4580
#define CANWITHSOMETHING3 4581
#define CANWITHSOMETHING4 4582
#define OUVRIER 4584					/* OUVRIER */
#define GROOM 4592					    // GROOM
#define NEWBEAST 4610
#define NEWBEASTSTAYPUT 4611
#define ECUME 4612					    // ECUME
#define TOUNU 4644
#define fauteuil_B_fond_H     4653      // NEO-FAUTEUIL BRUN
#define fauteuil_B_fond_V     4654
#define fauteuil_B_dossier_F  4655
#define fauteuil_B_dossier_H  4656
#define fauteuil_B_dossier_D  4657
#define fauteuil_B_dossier_P1 4658
#define fauteuil_B_dossier_P2 4659
#define NEWBEASTJUMP 4690
#define NEWBEASTHANG 4670
#define NEWBEASTHANGDEAD 4671
#define WAITRIGGEREVENT 4730                // WAITRIGGEREVENT
#define AMBIENCEAMBIENCEVENTVEN 4731        // AMBIENCEVENT
#define petite_echelle 4732
#define PIZZA_AU 4735
#define AMONGUSGUY 4736                     // AMONG US GUY
#define AMONGUSGUY_SP 4737                  // AMONG US GUY STAYPUT
#define TAIL_ROUGE2 4767                    // TAIL_ROUGE2
#define AMONGEVENT 4775                     // AMONGEVENT
#define CIEL_SPATIAL 4776
#define PLANETE 4777
#define CABLE_AU_1A 4778                    // CABLE AMONG US 1A
#define CABLE_AU_1B 4779                    // CABLE AMONG US 1B
#define CABLE_AU_2A 4780                    // CABLE AMONG US 2A
#define CABLE_AU_2B 4781                    // CABLE AMONG US 2B
#define BTN_DL_AU_OFF 4782                  // BOUTON DL AMONG US OFF
#define BTN_DL_AU_ON 4783                   // BOUTON DL AMONG US ON
#define PROGRESSION_DL_AU_ON 4784           // PROGRESSION DL AMONG US
#define TASK2 4787                          // TASK2
#define DALLE_METALLIQUE 4851				// DALLE METALLIQUE (BRUIT PAS)
#define CAISSE_METALLIQUE 4854				// CAISSE METALLIQUE (BRUIT PAS)
#define ZAXISEMETTOR 4855                   // ZAXISEMETTOR
#define ZAXISACTIVATOR 4856                 // ZAXISACTIVATOR
#define FEM10 4864
#define TOUGHGAL 4866
#define MAN 4871
#define MAN2 4872
#define WOMAN 4874
#define sol_pierreux_SND 4877
#define KNIFE_OFF_EVENT 4878				// KNIFE_OFF_EVENT
#define PUSHEVENT1 4879					// PUSHEVENT 1
#define VOCALEVENT4 4880				// VOCALEVENT 4
#define POPEVENT3 4881					// POPEVENT 3
#define FREEDOMEVENT 4882				// FREEDOMEVENT
#define WEAPONEVENT 4883				// WEAPONEVENT
#define VOCALEVENT5 4884				// VOCALEVENT 5
#define VOCALEVENT6 4885				// VOCALEVENT 6
#define PLEASEWAIT 4887
#define NATURALLIGHTNING 4890
#define QUOTEVENT1 4891					// QUOTEVENT 1
#define QUOTEVENT2 4892					// QUOTEVENT 2
#define QUOTEVENT3 4894					// QUOTEVENT 3
#define SURPRISEVENT 4895				// SURPRISEVENT
#define PUSHEVENT2 4896					// PUSHEVENT 2
#define ONCEVENT 4897					// ONCEVENT
#define LOOKEVENT 4898					// LOOKEVENT 
#define DUKETAG 4900
#define SURPRISE 4901					// SURPRISE
#define POPEVENT4 4902					// POPEVENT 4
#define PUSHEVENT3 4903					// PUSHEVENT 3
#define KEYVENT 4904					// KEYVENT
#define CLEFNEUTRE 4905					// CLEFNEUTRE
#define SIGN1 4909
#define POPAYELLOWKEYVENT 4910				// POPAYELLOWKEYVENT 
#define FLOOREVENT 4911					// FLOOREVENT
#define SIGN2 4912
#define KEYCATCH 4913					// KEYCATCH
#define SUBMARINEANDBLUEROBOTTWOVENT 4914		// SUBMARINEANDREDROBOTTWOVENT
#define CHAINGUNEVENT 4915				// CHAINGUNEVENT
#define QUEENINTOANEXPLODEVENT 4916			// QUEENINTOANEXPLODEVENT
#define VOLAUVENT 4917					// VOLAUVENT
#define POPEVENT5 4918					// POPEVENT5
#define ENCOREUNPOURLAROUTEVENT 4919			// ENCOREUNPOURLAROUTEVENT
#define BYEBYEVENT 4920					// BYEBYEVENT
#define FLOREVENT 4921					// FLOREVENT
#define DALLESND 4922					// DALLE SONORE
#define PNEU3A 4923					// PNEU 3A
#define PNEU3B 4924					// PNEU 3B
#define FAUSSECLEF 4935
#define BATEAU_LOINTAIN 4991					// BATEAU DANS L'HORIZON
#define JURYGUY 4943
#define DEFILE_FALAISE 5000
#define DEFILE_FORET 5010
#define EXPLODEVENT4 5057				// EXPLODEVENT4
#define BLOQUEUR 5058						// BLOQUEUR
#define MOUCHE 5073					        // MOUCHE
#define CAFARD 5091						// CAFARD
#define CAFARDPOP 5093						// CAFARDPOP
#define CAFARDREDPOP 5094					// CAFARDREDPOP
#define STATUE_PANTIN 5108
#define SODASMOKE 5115
#define MINE2GEN 5119
#define MUR_DE_BROUILLARD 5120					// MUR DE BROUILLARD
#define CYCLONE_PARALLAX 5151					// CYCLONE PARALLAX
#define BAIGNEUSE0 5152						// BAIGNEUSE 0
#define BAIGNEUSE1 5158						// BAIGNEUSE 1
#define BAIGNEUSE2 5161						// BAIGNEUSE 2
#define HELICE 5180						// HELICE
#define BOUGIE 5188						// BOUGIE
#define SE_KILLER 5192						// SE_KILLER
#define LAMPE_SE49 5193						// LAMPE VS SE49
#define FLEUR_MUTANTE 5213					// FLEUR MUTANTE
#define FLEUR_MUTANTE_AGRO 5214					// FLEUR MUTANTE AGRO
#define POUSSIN 5221						// PETIT POUSSIN
#define POUSSINSP 5222						// PETIT POUSSIN STAYPUT
#define DARKPOUSSIN 5223					// PETIT POUSSIN A L'AME TRES SOMBRE
#define POUSSINEECRASE 5241					// POUSSIN ECRASE
#define VETERAN 5248						// POLICIER VETERAN
#define VETERANSTAYPUT 5249					// POLICIER VETERAN STAYPUT
#define CADAVETE 5285						// CADAVRE DE VETERAN
#define VETETE 5293						// TETE DE VETERAN
#define MECAPOUSSIN 5298					// MECAPOUSSIN
#define MECAPOUSSINECRASE 5318					// MECAPOUSSIN ECRASE
#define REINE_CLOP 5320						// REINE CLOPORTE
#define VENIN 5340						// VENIN
#define VENIN2 5343						// VENIN 2
#define GICLVERTE 5344						// GICLURE VERTE
#define REINE_CADAV 5345					// CADAVRE REINE CLOPORTE
#define ROBOT2 5350						// ROBOT2
#define TRAPPE_DEROB 5367					// TRAPPE QUI SE DEROBE 
#define PLAQUE_SML 5368						// PLAQUE_SML 
#define ICONE_COUTEAU 5375					// ICONE DU COUTEAU
#define FEUILLE_MORTE 5392					// FEUILLE_MORTE
#define ARBRE_VENT_1 5408					// ARBRE_VENT_1
#define ROLLBOT 5419						// ROLLBOT
#define ARBRE_VENT_2 5424					// ARBRE_VENT_2
#define FISSURES_SOL 5447					// FISSURES AU SOL
#define CADENAS 5450						// CADENAS
#define DANJER1 5452						// DANJER1
#define DANJER2 5453						// DANJER2
#define CIBLE 5456						// CIBLE
#define PANHELIUM 5457						// PANHELIUM
#define CIBLE_GO 5471						// CIBLE GO
#define MIRRORBOSS 5490						// MIRRORBOSS
#define PANN_CASS_INTERR 5455           		        // PANN_CASS_INTERR
#define CADAMIRRORBOSS 5529					// CADAVRE MIRRORBOSS 
#define SPECTRE 5533    					// SPECTRE
#define SPOPECTRE 5574    					// SPOPECTRE
#define HARPO_LED0 5576						// HARPO LED OFF
#define HARPO_LED1 5577						// HARPO LED ON
#define HARPON2 5578						// HARPON2
#define SUBPOL2 5584						// POLICIER 2 SOUS-MARIN
#define SUBPOL2STAYPUT 5585					// POLICIER 2 SOUS-MARIN STAYPUT
#define HARPON 5604						// HARPON
#define LOOPEVENT 5622						// LOOPEVENT
#define MUSICEVENT 5625		       				// MUSICEVENT
#define CHEATEVENT 5626		       				// CHEATEVENT
#define HARPOONEVENT 5627					// HARPOONEVENT
#define SPECTREVENT 5628                  			// SPECTREVENT
#define HARPO_CANON 5629					// HARPO_CANON
#define HARPO_PANNEAU 5630					// HARPO_PANNEAU
#define TONNEAU 5721						// TONNEAU
#define CAFETIERE 5722						// CAFETIERE
#define TASSE2 5723					    	// TASSE 2
#define CASSE-VITESSE 5733
#define BRAISES 5741						// BRAISES
#define EFFIGIE 5760						// EFFIGIE
#define ECU_1A  5776					    // ECU 1A
#define ECU_2A  5777					    // ECU 2A
#define ECU_1B1 5778						// ECU_1B1
#define ECU_1B2 5779						// ECU_1B2
#define ECU_2B1 5780						// ECU_2B1
#define ECU_2B2 5781						// ECU_2B1
#define GROS_VASE 5783					    // GROS_VASE
#define SERRURE_DOREE 5789				    // SERRURE DOREE
#define CLEF_DOREE 5790				        // CLEF DOREE
#define SERRURE_DOREE_ON 5793				// SERRURE DOREE ON
#define LASER_ROUGE 5822				// LASER ROUGE
#define TAIL_ROUGE 5823					// TAIL ROUGE
#define SENTINEL 5824					// SENTINEL
#define SENTINELSTAYPUT 5825				// SENTINELSTAYPUT
#define FLASHBOT 5867					// FLASHBOT
#define FLASHPORT 5868					// FLASHPORT
#define FLASHBLANC 5869					// FLASHBLANC
#define FLASHBLEU 5871					// FLASHBLEU
#define ELECTROSPARK 5875				// ELECTROSPARK
#define HAMMEREVENT 5879				// HAMMEREVENT
#define ALTITUDEVENT 5880				// ALTITUDEVENT
#define MIRETTOVISION 5881				// MIRETTOVISION
#define MONSTROEIL 5888					// MONSTROEIL
#define ENDUSERMAP4 5894				// ENDUSERMAP4
#define ENERGYBALL 5896					// ENERGYBALL
#define FLASH_BLANC 5900				// FLASH_BLANC
#define FLASH_ROUGE 5901				// FLASH_ROUGE
#define PIPEVENT 5910					// PIPEVENT
#define PDG_DEPLOYEUR 5911				// PDG_DEPLOYEUR
#define PONT_DE_GLACE 5912				// PONT_DE_GLACE
#define PANELCODE 5914					// PANELCODE 
#define PANELSWITCH 5915				// PANELSWITCH
#define PANELSCREEN 5917				// PANELSCREEN
#define MEDITUBE 5931   				// MEDITUBE
#define MOBILOCATOR 5936				// MOBILOCATOR
#define MOBILE_H 5937					// MOBILE_H
#define MOBHFOND 5938					// MOBILE_H FOND
#define MOBHBORD 5939					// MOBILE_H BORD
#define MOBILE_V 5940					// MOBILE_V
#define MOBVFOND 5941					// MOBILE_V FOND
#define MOBVBORD 5942					// MOBILE_V BORD
#define SOL_DE_GLACE_1 5952
#define SOL_DE_GLACE_2 5956
#define BALLON 5943					// BALLLON
#define FICELLE 5944					// FICELLE
#define CANDYKEY 5945					// CANDYKEY
#define SUCRERRURE 5946					// SUCRERRURE
#define CK_ENFONCEE 5948				// CK_ENFONCEE
#define STAGLACTIQUE2A 5960				// STAGLACTIQUE2A
#define STAGLACTIQUE2B 5962				// STAGLACTIQUE2B
#define CADEAU 5965		     			// CADEAU
#define DINDE 5966		     			// DINDE
#define MONBOSAPIN 5967		     			// MONBOSAPIN
#define GUIRLANDE 5980					// GUIRLANDE
#define CADO_1 6001					// CADO_1
#define CADO_2 6003					// CADO_2
#define CADO_3 6005					// CADO_3
#define CADO_4 6007					// CADO_4
#define CADO_5 6009					// CADO_5
#define CADO_6 6011					// CADO_6
#define NOEUD_B 6012					// NOEUD_B
#define NOEUD_J 6013					// NOEUD_J
#define NOEUD_R 6014					// NOEUD_R
#define CADOCOUVERCLE 6016				// CADOCOUVERCLE
#define CADEAU_DU_TUEUR 6017			// CADEAU_DU_TUEUR
#define CERISE 6019					    // CERISE
#define PHOTOFAM 6020					// PHOTOFAM
#define AMPOULE 6026					// AMPOULE
#define ANTIPOULE 6027					// ANTIPOULE
#define PINCE 6058					// PINCE
#define CK_SUSP 6060					// CANDYKEY SUSPENDUE
#define DVD 6073
#define ARTIFICEVENT 6076				// ARTIFICEVENT
#define SECMOVEVENT 6077                // SECMOVEVENT
#define HARDCODEVENT 6078               // HARDCODEVENT
#define _LOCKER_ 6079
#define CRISTAL 6084				    // CRISTAL
#define CRISTAL_FENDU 6085				// CRISTAL FENDU
#define CRISTAL_BRISE 6086				// CRISTAL BRISE
#define BOMBSHELL 6112				    // BOMBSHELL
#define ACTIVEBOMBSHELL 6114		    // ACTIVEBOMBSHELL
#define ONDE_DE_CHOC 6122		        // ONDE_DE_CHOC
#define ONDEVENT 6123		            // ONDEVENT
#define BSHELLSLOT 6124				    // BSHELLSLOT
#define OUTIL  6129                     // OUTIL
#define PLAQUE_D_EGOUT  6130            // PLAQUE D'EGOUT
#define PIERRE_TOMBALE  6131            // PIERRE TOMBALE
#define EXPLODEVENT5  6149              // EXPLODEVENT5
#define RUSSKOV  6160                   // RUSSKOV
#define RUSSKOVSTAYPUT  6161            // RUSSKOVSTAYPUT
#define POUTINE  6205                   // POUTINE
#define DEMARRAGEVENT  6226             // DEMARRAGEVENT
#define OBJECTIFS_UKRAINE  6242         // OBJECTIFS UKRAINE
#define DEMI-GRILLE  6244               // DEMI-GRILLE
#define VODKA1   6265                   // VODKA1
#define VODKA2   6266                   // VODKA2
#define UKRAINEVENT  6227               // UKRAINEVENT
#define RUSSKOV2  6288                  // RUSSKOV2
#define RUSSKOV2STAYPUT  6289           // RUSSKOV2STAYPUT
#define IRANDRONE  6352                 // IRANDRONE

// These tile positions are reserved!
#define RESERVEDSLOT1 6132
#define RESERVEDSLOT2 6133
#define RESERVEDSLOT3 6134
#define RESERVEDSLOT4 6135
#define RESERVEDSLOT5 6136
#define RESERVEDSLOT6 6137
#define RESERVEDSLOT7 6138
#define RESERVEDSLOT8 6139
#define RESERVEDSLOT9 6140
#define RESERVEDSLOT10 6141
#define RESERVEDSLOT11 6142
#define RESERVEDSLOT12 6143
    
// On continue ici aussi :D
    
#define STALACTITE0 6144				// STALACTITE au plafond
#define STALACTITE1 6148				// STALACTITE chutant
